import QtQuick 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.ListItems 0.1 as ListItem

Item {

    ListView {
//        id: articleList
        anchors.fill: parent
        model: StackListModel {
             id: allStackFeed
             path: "sites"
             query: "$.data.children[*]"
             args: ""
         }

        delegate: ListItem.Subtitled {
            id: stackItemDelegate
            text: model.data.name
            subText: model.data.audience
            icon: Qt.resolvedUrl(model.data.icon_url)
//            __iconHeight: units.gu(5)
//            __iconWidth: units.gu(5)
        }
    }
}
